ReturnValues
Date: 2015-09-15

org.jmock.expectation

## Class ReturnValues

- java.lang.Object
- - org.jmock.expectation.ReturnValues

- Direct Known Subclasses:
    VoidReturnValues

      public class ReturnValues
      extends java.lang.Object

  Sequence values as required by MockMaker This is a generic class that should have been introduced to the mockobjects code stream instead of being separately included in org.mockobjects. It is possibly similar to a ReturnObjectList?

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Vector` | `myContents`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReturnValues()`
    `ReturnValues(boolean keepUsingLastReturnValue)`
    `ReturnValues(java.lang.String name, boolean keepUsingLastReturnValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object element)`
    `void` | `addAll(java.util.Collection returnValues)`
    `java.lang.Object` | `getNext()`
    `boolean` | `isEmpty()`
    `protected java.lang.Object` | `pop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### myContents

          protected java.util.Vector myContents

  - ### Constructor Detail

    - #### ReturnValues

          public ReturnValues()

    - #### ReturnValues

          public ReturnValues(java.lang.String name,
                      boolean keepUsingLastReturnValue)

    - #### ReturnValues

          public ReturnValues(boolean keepUsingLastReturnValue)

  - ### Method Detail

    - #### add

          public void add(java.lang.Object element)

    - #### addAll

          public void addAll(java.util.Collection returnValues)

    - #### getNext

          public java.lang.Object getNext()

    - #### isEmpty

          public boolean isEmpty()

    - #### pop

          protected java.lang.Object pop()